#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-3A8z3wCx5hPIMbYTJS4xbQ-dns-internal
key:                  dns-4.1.1-3A8z3wCx5hPIMbYTJS4xbQ-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  ceb4075441c7f7fb7e580afdbae01066
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-3A8z3wCx5hPIMbYTJS4xbQ-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-ISASXWQBo5t2kHzwBCdXKD
    attoparsec-0.14.4-EMhx65X4PEhKEPT12wcqai
    auto-update-0.1.6-ElF8HQEbBAyEmzN9PHsMcj base-4.16.4.0
    base16-bytestring-1.0.2.0-UScysOiInU1E9nJt6ePNT
    base64-bytestring-1.2.1.0-ANgoIOgDJNLFF2Mno9rS0F
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-KBsKLZBBkHLA2SYVLBTw5z
    containers-0.6.5.1 cryptonite-0.30-DThDHTXw89HDhtGrmdzCL7
    hourglass-0.2.12-Jh9Be0NfyI484PBVuDdkF0
    iproute-1.7.14-5wsAAE4kIGg5iO4qq2LaCA mtl-2.2.2
    network-3.1.4.0-9HtVytn84ZB8K7eENoz7yD
    psqueues-0.2.8.0-5SJZ1p9eNcz7BlI4f1UUiQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-LaWUkxThRky8joNjpy4NKi
key:                  dns-4.1.1-LaWUkxThRky8joNjpy4NKi
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  94f16b8f50e6e5a7c613541eeeeb7888
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-LaWUkxThRky8joNjpy4NKi
depends:
    array-0.5.4.0 async-2.2.5-ISASXWQBo5t2kHzwBCdXKD
    attoparsec-0.14.4-EMhx65X4PEhKEPT12wcqai
    auto-update-0.1.6-ElF8HQEbBAyEmzN9PHsMcj base-4.16.4.0
    base16-bytestring-1.0.2.0-UScysOiInU1E9nJt6ePNT
    base64-bytestring-1.2.1.0-ANgoIOgDJNLFF2Mno9rS0F
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-DThDHTXw89HDhtGrmdzCL7
    dns-4.1.1-3A8z3wCx5hPIMbYTJS4xbQ-dns-internal
    hourglass-0.2.12-Jh9Be0NfyI484PBVuDdkF0
    iproute-1.7.14-5wsAAE4kIGg5iO4qq2LaCA mtl-2.2.2
    network-3.1.4.0-9HtVytn84ZB8K7eENoz7yD
    psqueues-0.2.8.0-5SJZ1p9eNcz7BlI4f1UUiQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

